@echo off
rem ************************************************************
rem
rem Build the unit tests database and install the SS-Unit
rem framework into it.
rem
rem ************************************************************

:handle_help_request
if /i "%1" == "-?"     call :usage & exit /b 0
if /i "%1" == "--help" call :usage & exit /b 0

:check_mandatory_args
if /i "%1" == "" call :usage & exit /b 1

:set_vars
setlocal
setlocal enabledelayedexpansion
set server=%1
set database=SSCop_Tests

echo.
echo ----------------------------------------
echo Creating '%database%' database
echo ----------------------------------------
echo.

sqlcmd -E -S %server% -d master -i CreateDatabase.dbo.sql

for /f "delims=" %%f in (object-scripts.txt) do (
	echo %%f
	sqlcmd -E -S %server% -d %database% -b -i "%%f"
	if errorlevel 1 (
		echo ERROR: Failed to execute SQL script [!ERRORLEVEL!]
		exit /b 1
	)
)

pushd ..\..\..\SS-Unit\Framework
call Install %server% %database%
popd
if errorlevel 1 (
	echo ERROR: Failed to install SS-Unit [!ERRORLEVEL!]
	exit /b 1
)

pushd ..
call Install %server% %database%
popd
if errorlevel 1 (
	echo ERROR: Failed to install SS-Cop [!ERRORLEVEL!]
	exit /b 1
)

:success
exit /b 0

rem ************************************************************
rem Functions
rem ************************************************************

:usage
echo.
echo Usage: %~n0 ^<db server^>
echo.
echo e.g.   %~n0 .\SQLEXPRESS
goto :eof
